Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234862 (perl-Mail-Box) - Review Request: perl-Mail-Box - Manage a mailbox, a folder with messages
Summary: Review Request: perl-Mail-Box - Manage a mailbox, a folder with messages
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Mail-Box
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: perl-User-Identity 234859 perl-Mail-IMAPClient 234861
Blocks: perl-Email-Abstract 234863
TreeView+ depends on / blocked
 
Reported: 2007-04-02 17:06 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 19:57:12 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-04-02 17:06:37 UTC
Spec URL: 
http://www.auroralinux.org/people/spot/review/perl-Mail-Box.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-Mail-Box-2.070-1.src.rpm
Description: 
The Mail::Box folder is a modern mail-folder manager -- at least at
the moment of this writing ;)  It is written to replace Mail::Folder,
although its interface is different.

Note: BuildRequires: perl-Mail-Transport-Dbx [234861], perl-Mail-IMAPClient [234860], perl-Object-Realize-Later [234859], perl-User-Identity [234858]

Comment 1 Parag AN(पराग) 2007-04-03 10:40:56 UTC
any reason for not adding doc directory to %doc?

Comment 2 Parag AN(पराग) 2007-04-03 11:10:14 UTC
oops I mean s/doc/examples

Comment 3 Tom "spot" Callaway 2007-04-04 22:56:52 UTC
New Spec URL: 
http://www.auroralinux.org/people/spot/review/perl-Mail-Box.spec
New SRPM URL:
http://www.auroralinux.org/people/spot/review/perl-Mail-Box-2.070-2.src.rpm

Added examples/ to %doc.

Comment 4 Parag AN(पराग) 2007-04-05 05:44:17 UTC
Before I go for review, Let me give here what build.log gave me
*
**** Installing MailBox
*

* First, I will check the sanity of all required modules... sometimes
* they do not load, for instance if you have installed a new release
* of Perl without upgrading the libraries.

    Scalar::Util version 1.18 is ok (required is 1.13)
    File::Remove version 0.33 is ok (required is 0.2)
    IO::Scalar version 2.110 is ok (required is 0)
    Object::Realize::Later version 0.16 is ok (required is 0.14)
    File::Spec version 3.12 is ok (required is 0.7)
    Time::Zone version 2.22 is ok (required is 0)
    User::Identity version 0.91 is ok (required is 0.9)
    Digest::HMAC_MD5 version 1.01 is ok (required is 0)
    Mail::Address version 1.74 is ok (required is 0)
    Errno version 1.0901 is ok (required is 0)
    Test::Harness version 2.56 is outdated; requires 2.62
    URI version 1.35 is ok (required is 1.23)
    MIME::Types version 1.17 is ok (required is 1.004)
    Date::Parse version 2.27 is ok (required is 0)
    Test::More version 0.62 is ok (required is 0.47)
    MIME::Base64 version 3.07 is ok (required is 0)
    Sys::Hostname version 1.11 is ok (required is 0)

* Now, let me ask you whether you want some optional modules to be
* installed as well.  You can always install these modules later, by
* hand, without a need to re-install MailBox.
*

**** Optional Mail::Box::Parser::C is not installed
Use: Speeds-up reading mail folders, though most time is consumed by
     Perl's administration of the processed data.
WARN This module contains XS code, so you need a C compiler.
Do you want to install Mail::Box::Parser::C? yes/no/all [n]
**** Found optional Encode version 2.12 (at least 1.86 required)

**** Found optional Mail::Transport::Dbx version 0.07 (at least 0.04 required)

**** Found optional Mail::SpamAssassin version 3.002000 (at least 2.00 required)

**** Found optional Mail::IMAPClient version 2.2.9 (at least 2.2.8 required)

**** Found optional Mail::Internet version 1.74 (at least 1.0 required)

**** Found optional MIME::Entity version 5.420 (at least 3.0 required)

**** Found optional HTML::TreeBuilder version 3.21 (at least 3.13 required)

**** Found optional Time::HiRes version 1.86 (at least 1.51 required)

**** Found optional HTML::FormatText version 2.04 (at least 2.01 required)
Do you want to run the (large set of) tests? yes/no [yes]
**** Writing Makefile

Checking if your kit is complete...
Looks good
Warning: prerequisite Test::Harness 2.62 not found. We have 2.56.
Writing Makefile for Mail::Box

**** Done

yes: standard output: Broken pipe
yes: write error

Now I have 2 questions:-
1)Saw all optional dependencies got installed successfully except
Mail::Box::Parser::C  Is that OK or its missing BR?
2)Warning: prerequisite Test::Harness 2.62 not found. We have 2.56.
  Did some search for Test::Harness and found its part of perl package but not
able to get more information on its versions 2.62/2.56. Also I found because of
this make test is disables. Want to know reason to disable them?
%check
# We can't do this, perl(Test::Harness) is too old. :/
# make test






Comment 5 Tom "spot" Callaway 2007-04-05 13:28:57 UTC
1)Saw all optional dependencies got installed successfully except
Mail::Box::Parser::C  Is that OK or its missing BR?

A) Mail::Box::Parser::C depends on Mail::Box, not the other way around. I
packaged it up too, but it can't be a BR of perl-Mail-Box.

2)Warning: prerequisite Test::Harness 2.62 not found. We have 2.56.
  Did some search for Test::Harness and found its part of perl package but not
able to get more information on its versions 2.62/2.56. Also I found because of
this make test is disables. Want to know reason to disable them?

A) Test::Harness is part of core perl. Its too old for this package's tests.
make test explodes because of it, but the perl bits work fine.

Comment 6 Parag AN(पराग) 2007-04-09 04:42:37 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url 
f6b0da296a582e06880f93f166f57bb7  Mail-Box-2.070.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test disabled because of Test::Harness
+ Provides: perl(Mail::Box) = 2.070 perl(Mail::Box::Collection) = 2.070
perl(Mail::Box::Dbx) = 2.070 perl(Mail::Box::Dbx::Message) = 2.070
perl(Mail::Box::Dir) = 2.070 perl(Mail::Box::Dir::Message) = 2.070
perl(Mail::Box::FastScalar) = 2.070 perl(Mail::Box::File) = 2.070
perl(Mail::Box::File::Message) = 2.070 perl(Mail::Box::IMAP4) = 2.070
perl(Mail::Box::IMAP4::Head) = 2.070 perl(Mail::Box::IMAP4::Message) = 2.070
perl(Mail::Box::Identity) = 2.070 perl(Mail::Box::Locker) = 2.070
perl(Mail::Box::Locker::DotLock) = 2.070 perl(Mail::Box::Locker::Flock) = 2.070
perl(Mail::Box::Locker::Multi) = 2.070 perl(Mail::Box::Locker::Mutt) = 2.070
perl(Mail::Box::Locker::NFS) = 2.070 perl(Mail::Box::Locker::POSIX) = 2.070
perl(Mail::Box::MH) = 2.070 perl(Mail::Box::MH::Index) = 2.070
perl(Mail::Box::MH::Labels) = 2.070 perl(Mail::Box::MH::Message) = 2.070
perl(Mail::Box::Maildir) = 2.070 perl(Mail::Box::Maildir::Message) = 2.070
perl(Mail::Box::Manage::User) = 2.070 perl(Mail::Box::Manager) = 2.070
perl(Mail::Box::Mbox) = 2.070 perl(Mail::Box::Mbox::Message) = 2.070
perl(Mail::Box::Message) = 2.070 perl(Mail::Box::Message::Destructed) = 2.070
perl(Mail::Box::Net) = 2.070 perl(Mail::Box::Net::Message) = 2.070
perl(Mail::Box::POP3) = 2.070 perl(Mail::Box::POP3::Message) = 2.070
perl(Mail::Box::Parser) = 2.070 perl(Mail::Box::Parser::Perl) = 2.070
perl(Mail::Box::Search) = 2.070 perl(Mail::Box::Search::Grep) = 2.070
perl(Mail::Box::Search::SpamAssassin) = 2.070 perl(Mail::Box::Thread::Manager) =
2.070 perl(Mail::Box::Thread::Node) = 2.070 perl(Mail::Box::Tie) = 2.070
perl(Mail::Box::Tie::ARRAY) = 2.070 perl(Mail::Box::Tie::HASH) = 2.070
perl(Mail::Message) = 2.070 perl(Mail::Message::Body) = 2.070
perl(Mail::Message::Body::Construct) = 2.070 perl(Mail::Message::Body::Delayed)
= 2.070 perl(Mail::Message::Body::File) = 2.070 perl(Mail::Message::Body::Lines)
= 2.070 perl(Mail::Message::Body::Multipart) = 2.070
perl(Mail::Message::Body::Nested) = 2.070 perl(Mail::Message::Body::String) =
2.070 perl(Mail::Message::Construct) = 2.070
perl(Mail::Message::Construct::Bounce) = 2.070
perl(Mail::Message::Construct::Build) = 2.070
perl(Mail::Message::Construct::Forward) = 2.070
perl(Mail::Message::Construct::Read) = 2.070
perl(Mail::Message::Construct::Rebuild) = 2.070
perl(Mail::Message::Construct::Reply) = 2.070
perl(Mail::Message::Construct::Text) = 2.070 perl(Mail::Message::Convert) =
2.070 perl(Mail::Message::Convert::Html) = 2.070
perl(Mail::Message::Convert::HtmlFormatPS) = 2.070
perl(Mail::Message::Convert::HtmlFormatText) = 2.070
perl(Mail::Message::Convert::MailInternet) = 2.070
perl(Mail::Message::Convert::MimeEntity) = 2.070
perl(Mail::Message::Convert::TextAutoformat) = 2.070 perl(Mail::Message::Dummy)
= 2.070 perl(Mail::Message::Field) = 2.070 perl(Mail::Message::Field::AddrGroup)
= 2.070 perl(Mail::Message::Field::Address) = 2.070
perl(Mail::Message::Field::Addresses) = 2.070
perl(Mail::Message::Field::Attribute) = 2.070 perl(Mail::Message::Field::Fast) =
2.070 perl(Mail::Message::Field::Flex) = 2.070 perl(Mail::Message::Field::Full)
= 2.070 perl(Mail::Message::Field::Structured) = 2.070
perl(Mail::Message::Field::URIs) = 2.070
perl(Mail::Message::Field::Unstructured) = 2.070 perl(Mail::Message::Head) =
2.070 perl(Mail::Message::Head::Complete) = 2.070
perl(Mail::Message::Head::Delayed) = 2.070 perl(Mail::Message::Head::FieldGroup)
= 2.070 perl(Mail::Message::Head::ListGroup) = 2.070
perl(Mail::Message::Head::Partial) = 2.070
perl(Mail::Message::Head::ResentGroup) = 2.070
perl(Mail::Message::Head::SpamGroup) = 2.070 perl(Mail::Message::Head::Subset) =
2.070 perl(Mail::Message::Part) = 2.070 perl(Mail::Message::Replace::MailHeader)
= 2.070 perl(Mail::Message::Replace::MailInternet) = 2.070
perl(Mail::Message::TransferEnc) = 2.070
perl(Mail::Message::TransferEnc::Base64) = 2.070
perl(Mail::Message::TransferEnc::Binary) = 2.070
perl(Mail::Message::TransferEnc::EightBit) = 2.070
perl(Mail::Message::TransferEnc::QuotedPrint) = 2.070
perl(Mail::Message::TransferEnc::SevenBit) = 2.070
perl(Mail::Message::Wrapper::SpamAssassin) = 2.070 perl(Mail::Reporter) = 2.070
perl(Mail::Server) = 2.070 perl(Mail::Server::IMAP4) = 2.070
perl(Mail::Server::IMAP4::Fetch) = 2.070 perl(Mail::Server::IMAP4::List) = 2.070
perl(Mail::Server::IMAP4::Search) = 2.070 perl(Mail::Transport) = 2.070
perl(Mail::Transport::Exim) = 2.070 perl(Mail::Transport::IMAP4) = 2.070
perl(Mail::Transport::Mailx) = 2.070 perl(Mail::Transport::POP3) = 2.070
perl(Mail::Transport::Qmail) = 2.070 perl(Mail::Transport::Receive) = 2.070
perl(Mail::Transport::SMTP) = 2.070 perl(Mail::Transport::Send) = 2.070
perl(Mail::Transport::Sendmail) = 2.070
 

APPROVED.

Comment 7 Tom "spot" Callaway 2007-04-09 14:00:22 UTC
New Package CVS Request
=======================
Package Name: perl-Mail-Box
Short Description: Manage a mailbox, a folder with messages
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 8 Tom "spot" Callaway 2007-04-13 19:57:12 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.